#!/usr/bin/env fish
function pywal
    set -f wallpaper (string replace -r "file:\/\/" "" \
                (gsettings get org.gnome.desktop.background picture-uri) \
        | string replace -ra "\'" "")
    switch $argv[1]
        case light
            echo "Setting up light theme"
            # wal -lni $wallpaper --backend colorz -b FAFAFA
            wal -lni $wallpaper -b FAFAFA
        case dark
            echo "Setting up dark theme"
            # wal -ni $wallpaper --backend colorz
            wal -ni $wallpaper
    end
    # systemctl restart --user emacs.service
end
